Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 216017 - Some JavaFX file remains in installation folder during uninstallation
Some JavaFX file remains in installation folder during uninstallation
Status: VERIFIED FIXED
Product: installer
Classification: Unclassified
Component: Code
7.2
PC All
: P3 (vote)
: 7.2.1
Assigned To: Jiri Rechtacek
issues@installer
72patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 16:38 UTC by asenk
Modified: 2012-10-12 14:03 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description asenk 2012-07-26 16:38:39 UTC
NB7.2 bundled with JDK7u6

1.Run Installer and install JDK and IDE
2.Don't start IDE, run Uninstaller

Result: No userdir was created - unistaller doesn't ask for userdir deletion (this is OK)
No plugin was installed - unistaller asks for installation folder deletion - THIS IS WRONG.

If is "remove installation folder" option not selected , then is some JavaFX file left in installation folder.
Comment 1 Libor Fischmeistr 2012-08-06 11:32:17 UTC
Does not happen only in JDK bundle but in standalone installation too.
Comment 2 Libor Fischmeistr 2012-08-06 11:48:00 UTC
Fixed in core-main/rev/1eec6d58e032
Comment 3 Quality Engineering 2012-08-07 02:30:29 UTC
Integrated into 'main-golden', will be available in build *201208070001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/1eec6d58e032
User: Libor Fischmeistr <lfischmeistr@netbeans.org>
Log: #216017: Some JavaFX file remains in installation folder during uninstallation
Comment 4 asenk 2012-08-07 07:04:47 UTC
verified
Comment 5 Marian Mirilovic 2012-10-03 11:11:23 UTC
Jirka, Libor ... you can proceed with integration into release72 branch.
Comment 6 Jiri Rechtacek 2012-10-03 15:26:39 UTC
http://hg.netbeans.org/releases/rev/0aa93ad6274c
Comment 7 Quality Engineering 2012-10-10 14:15:51 UTC
Integrated into 'releases', will be available in build *201210100934* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/0aa93ad6274c
User: Libor Fischmeistr <lfischmeistr@netbeans.org>
Log: #216017: Some JavaFX file remains in installation folder during uninstallation
(transplanted from 1eec6d58e0327ddcff8e32937834cd4b8c7c08ad)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo